<?php
/* Remo File Report - concrete5 file download statistics
 * Copyright (C) 2011 Remo Laubacher
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
 
defined('C5_EXECUTE') or die("Access Denied.");

$ret['error'] = false;
try {
   $jh = Loader::helper("json");
   Loader::model("remo_file_report", "remo_file_report");

   // make sure the user is allowed to access the file download statistic.
   $p = new Permissions(Page::getByPath('/dashboard/reports/remo_file_report'));
   if (!$p->canRead()) {
      throw new Exception(t('Not allowed to access the JSON tools to fetch the file statistics.'));
   }

   // execute action to get the file download data
   $action = $_REQUEST['action'];
   $actionObject = RemoFileReportModel::getActionInstance($action);
   $ret['data'] = $actionObject->getData();
	
}
catch (Exception $ex) {
   $ret['error'] = $e->getMessage();
}

echo $jh->encode($ret);
?>
